﻿using UniversalSample.Commons;
using UniversalSample.Views;
using Windows.UI.Popups;

namespace UniversalSample.ViewModels
{
    public class MainPageVM : ViewModelBase
    {
        public MainPageVM()
        {
            Title = "Hello World Fist page";

            FrameHelper.Instance.NavigatingCommand = NavigatingCommand;
            FrameHelper.Instance.NavigatedCommand = NavigatedCommand;
        }

        /// <summary>
        /// Navigating
        /// </summary>
        /// <param name="args"></param>
        protected override void Navigating(object args)
        {
            System.Diagnostics.Debug.WriteLine(Title + " Navigating");
        }

        /// <summary>
        /// Navigated
        /// </summary>
        /// <param name="arg"></param>
        protected override void Navigated(object arg)
        {
            System.Diagnostics.Debug.WriteLine(Title + " Navigated");
        }

        private RelayCommand _nextPageCommand;
        /// <summary>
        /// 다음 페이지로 이동
        /// </summary>
        public RelayCommand NextPageCommand
        {
            get { return _nextPageCommand = _nextPageCommand ?? new RelayCommand(
                args =>
                {
                    if (FrameHelper.Instance.Navigation(typeof (SecondPage), null) == false)
                    {
                        var msg = new MessageDialog("Error");
                        msg.ShowAsync();
                    };
                }); }
        }

    }
}
